Subject: bug#34855: 27.0.50; url-retrieve-synchronously Bad request Error every 2nd call

From: Thomas Hisch <[email-masked]>
Date: Fri, 22 Mar 2019 21:13:32 +0100

On 3/18/19 10:43 PM, Andreas Schwab wrote:
> On Mär 14 2019, Eli Zaretskii <[email-masked]> wrote:
> 
>>> CC: <[email-masked]>
>>> From: Thomas Hisch <[email-masked]>
>>> Date: Thu, 14 Mar 2019 17:48:24 +0100
>>>
>>> The commit that broke it is
>>>
>>> 84613dae5c34ea742dd9a3e56f5acb55f604b483
>>>
>>> Reverting it locally fixed the issue for me.
>>
>> Thanks.  Andreas, could you please take a look at this?
> 
> I'm not allowed to read his mails.

Do you mean mine? 
(https://lists.gnu.org/archive/html/bug-gnu-emacs/2019-03/msg00404.html)

My company surprisingly switched to official (= non self-signed) 
certificates last week. I've tested my testcode today again with the 
latest HEAD of the master branch and I can no longer reproduce this issue.

I have no idea why the old self-signed certificates caused an issue that 
is fixed by reverting 84613dae5c34ea742dd9a3e56f5acb55f604b483.

Regards
Thomas